Bug 200459 - clurgmgrd[9657]: <err> #34: Cannot get status for service nfs_service
clurgmgrd[9657]: <err> #34: Cannot get status for service nfs_service
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-07-27 16:12 EDT by Dean Jansa
Modified: 2009-04-16 16:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-05 11:04:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dean Jansa 2006-07-27 16:12:27 EDT
Description of problem:

After a 'service rgmanager start' I noted several nodes did not start the
service successfully.  The logs on the failed nodes show:

Jul 27 12:56:34 morph-03 lock_gulmd_core[6337]: "Magma::9915" is logged out. fd:
Jul 27 12:56:20 morph-03 clurgmgrd[9657]: <err> #34: Cannot get status for service
Jul 27 12:56:20 morph-03 clurgmgrd[9657]: <err> #34: Cannot get status for
service nfs_service
Jul 27 12:56:21 morph-03 last message repeated 9 times

Version-Release number of selected component (if applicable):


How reproducible:

Onec and a while.

Steps to Reproduce:
1. Define a rgmanager service
2. Start service on all nodes


Expected results:

Additional info:
Comment 1 Lon Hohberger 2006-07-27 16:16:38 EDT
This is a bug with the way rgmanager works, not with gulm itself.  Basically,
gulm has no service group support, so rgmanager thinks rgmanager is running on
all nodes at all times, which is incorrect.  Under most situations, this should
not matter, but in this case, there is apparently a race causing rgmanager to
break.  Restarting rgmanager on the affected node should fix the problem.
Comment 2 Kiersten (Kerri) Anderson 2006-09-22 14:53:29 EDT
Devel ACK for 4.5.
Comment 3 Lon Hohberger 2006-12-05 11:04:09 EST
This bug:

- is gulm-specific
- has a workaround (but a poor one)
- has had no customer impact or reports
- would require a large change to rgmanager.

I'm closing this until we get reports from customers; at which point, it will be
re-evaluated.  Normally I wouldn't do this, except for the fact that it would be
a fairly large change.  If I come up with a solution which has less impact, I
will reopen the bug as well.

Note You need to log in before you can comment on or make changes to this bug.